Subject: Re: [PATCH v2 0/4] Teach git-stash to use --index from config

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Sep 2025 09:49:11 -0700

"D. Ben Knoble" <[email-masked]> writes:

> With stash.index=true, git-stash(1) command now tries to reinstate the
> index by default in the "apply" and "pop" modes. Not doing so creates a
> common trap: "git stash apply" is not the reverse of "git stash push"
> because carefully staged indices are lost and have to be manually
> recreated. OTOH, this mode is not always desirable and may create more
> conflicts when applying stashes. Use "--no-index" to disable this behavior.

I've read the patches and I think I can agree with all the changes
proposed.  We might eventually flip the default, but we do not truly
know until we unleash the version with choices to end users.

I agree with Phillip's comment on minimum tests to ensure that the
interaction between configuration variables and the command option
is sane.

Thanks.